"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../lib/command");
const process_1 = require("../utils/process");
const ui_1 = require("../utils/ui");
const Config_1 = require("../models/Config");
let Clean = class Clean {
    async run(args, silent) {
        args = Config_1.Config.clean.concat(args);
        const spinner = new ui_1.Spinner();
        spinner.message = 'Cleaning directories...';
        try {
            await process_1.runProcess('rimraf', args, { silent });
            spinner.message = 'Directories cleaned';
            spinner.stop();
        }
        catch (e) {
            process_1.handleProcessError(e, spinner);
        }
    }
};
Clean = __decorate([
    command_1.Command({
        name: 'clean',
        alias: 'c',
        description: 'Clean up the project directory.',
    })
], Clean);
exports.Clean = Clean;
