"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../lib/command");
const ui_1 = require("../utils/ui");
const path_1 = require("../utils/path");
const process_1 = require("../utils/process");
const chalk_1 = require("chalk");
const download = require('download-git-repo');
let Create = class Create {
    async run(args, silent) {
        const destination = path_1.runtimeRoot(this.name);
        const branch = this.next ? 'github:devCrossNet/vue-starter#next' : 'github:devCrossNet/vue-starter';
        const spinner = new ui_1.Spinner();
        spinner.message = 'Downloading project...';
        spinner.start();
        download(branch, destination, async (e) => {
            if (e) {
                process_1.handleProcessError({ code: 1, trace: e.toString() }, spinner);
            }
            spinner.message = 'Installing dependencies...';
            try {
                await process_1.runProcess('npm', ['install'], { cwd: destination, silent: true });
                spinner.message = `Project ${chalk_1.default.bold(this.name)} successfully created`;
                spinner.stop();
            }
            catch (err) {
                process_1.handleProcessError(e, spinner);
            }
        });
    }
};
Create = __decorate([
    command_1.Command({
        name: 'create',
        alias: 'c',
        description: 'Create a new vue-starter project.',
        arguments: [{ name: 'name', defaultValue: 'my-app' }],
        options: [{ flags: '-n, --next', description: 'Download latest version.' }],
    })
], Create);
exports.Create = Create;
