"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../lib/command");
const process_1 = require("../utils/process");
const ui_1 = require("../utils/ui");
const path_1 = require("../utils/path");
let Dev = class Dev {
    async run(args, silent) {
        process.env.NODE_ENV = 'development';
        process.env.PORT = this.port;
        try {
            await process_1.runProcess('rimraf', ['./dist'], { silent });
            ui_1.HeadLine('Start development mode...');
            await process_1.runProcess('webpack', ['--mode', 'development', '--config', path_1.packageRoot('dist/webpack/config/dev-server.js')], { silent });
            await process_1.runProcess('webpack', ['--mode', 'development', '--config', path_1.packageRoot('dist/webpack/config/server.js')], {
                silent,
            });
        }
        catch (e) {
            process_1.handleProcessError(e);
        }
    }
};
Dev = __decorate([
    command_1.Command({
        name: 'dev',
        alias: 'd',
        description: 'Serve application for development.',
        options: [{ flags: '-p, --port <port>', description: 'Web-server port.', defaultValue: '3000' }],
    })
], Dev);
exports.Dev = Dev;
