"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../lib/command");
const process_1 = require("../utils/process");
const Config_1 = require("../models/Config");
let Prettier = class Prettier {
    async run(args, silent) {
        if (this.staged) {
            prettyQuick(args, silent);
        }
        else {
            prettier(args, this.pattern, silent);
        }
    }
};
Prettier = __decorate([
    command_1.Command({
        name: 'prettier',
        alias: 'p',
        description: 'Format project files.',
        options: [
            { flags: '-p, --pattern <pattern>', description: 'Match file pattern' },
            { flags: '-s, --staged', description: 'O≈nly prettify staged files' },
        ],
    })
], Prettier);
exports.Prettier = Prettier;
const prettier = async (args, pattern, silent) => {
    args = [
        '--config',
        '.prettierrc',
        '--ignore-path',
        '.prettierignore',
        '--write',
        pattern ? pattern : `./**/*.{${Config_1.Config.prettier.extensions}}`,
    ];
    try {
        await process_1.runProcess('vue-starter-service', ['clean'], { silent });
        await process_1.runProcess('prettier', args, { silent });
    }
    catch (e) {
        process_1.handleProcessError(e);
    }
};
const prettyQuick = async (args, silent) => {
    args = ['--staged'].concat(args);
    try {
        await process_1.runProcess('pretty-quick', args, { silent });
    }
    catch (e) {
        process_1.handleProcessError(e);
    }
};
