"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("../lib/command");
const process_1 = require("../utils/process");
let Storybook = class Storybook {
    async run(args, silent) {
        const dev = Boolean(this.dev);
        let binary = 'build-storybook';
        if (dev) {
            binary = 'start-storybook';
            args.pop();
            args = args.concat(['-p', '6006']);
        }
        else {
            args = args.concat(['--output-dir', './storybook-static']);
        }
        args = args.concat(['--config-dir', './.vue-starter/storybook']);
        args = args.filter((arg) => arg !== '--silent');
        try {
            await process_1.runProcess(binary, args, { silent });
        }
        catch (e) {
            process_1.handleProcessError(e);
        }
    }
};
Storybook = __decorate([
    command_1.Command({
        name: 'storybook',
        description: 'Run Storybook.',
        options: [{ flags: '-d, --dev', description: 'Run Storybook in development mode.' }],
    })
], Storybook);
exports.Storybook = Storybook;
