"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs = require("fs");
exports.packageRoot = (dir = '') => {
    return path.join(__dirname, '../../', dir);
};
exports.runtimeRoot = (dir = '') => {
    return path.join(process.cwd(), dir);
};
exports.folderExists = (folder) => {
    return fs.existsSync(path.resolve(folder));
};
exports.ensureDirectoryExists = (filePath) => {
    const dirname = path.dirname(filePath);
    if (fs.existsSync(dirname)) {
        return true;
    }
    exports.ensureDirectoryExists(dirname);
    fs.mkdirSync(dirname);
};
