"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const webpack = require("webpack");
const utils_1 = require("./utils");
const base_1 = require("./base");
const path_1 = require("../../utils/path");
exports.baseServer = utils_1.merge(base_1.base, {
    target: 'node',
    output: {
        path: path_1.runtimeRoot('dist/server'),
        libraryTarget: 'commonjs',
    },
    externals: [
        utils_1.nodeExternals({
            whitelist: ['webpack/hot/poll?1000'],
        }),
    ],
    plugins: [
        new webpack.DefinePlugin({
            CLIENT: false,
            SERVER: true,
            nodeRequire: 'function(module){return require(module);}',
        }),
    ],
    node: {
        __dirname: false,
        __filename: false,
    },
});
exports.baseServer = require(path_1.runtimeRoot('.vue-starter/webpack.config'))(exports.baseServer, 'server');
exports.default = exports.baseServer;
