"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const webpack = require("webpack");
const client_1 = require("./client");
const utils_1 = require("./utils");
const path_1 = require("../../utils/path");
const HTMLPlugin = require('html-webpack-plugin');
const CopyWebpackPlugin = require('copy-webpack-plugin');
client_1.client.plugins.unshift(new webpack.DefinePlugin({ CLIENT: true, SERVER: false, TEST: true }));
exports.spa = utils_1.merge(client_1.client, {
    plugins: [
        new HTMLPlugin({
            filename: '../index.html',
            template: path_1.runtimeRoot('src/index.template.html'),
            spa: true,
        }),
        new CopyWebpackPlugin([
            { from: path_1.runtimeRoot('src/static'), to: '../' },
            { from: path_1.runtimeRoot('i18n'), to: '../i18n' },
            { from: path_1.runtimeRoot('src/static/logo.png'), to: '../favicon.png' },
        ]),
    ],
});
exports.default = exports.spa;
